Skip to main content
GET
/
api
/
canary
/
customers
/
{id}
/
balance
Get Customer's Cash Balance
curl --request GET \
  --url https://api.cashful.africa/api/canary/customers/{id}/balance \
  --header 'Authorization: Bearer <token>'
{
  "id": "balance_001",
  "customerId": "customer_789",
  "amount": 5000,
  "currency": "ZAR",
  "available": 5000,
  "pending": 0,
  "createdAt": "2025-01-15T10:30:00.000Z",
  "updatedAt": "2025-01-15T10:30:00.000Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

The unique identifier of the customer

Response

Successfully retrieved customer's cash balance

id
string
required

Unique identifier

createdAt
string<date-time>
required
updatedAt
string<date-time>
required
customerId
string
required
amount
number
required
currency
string
required
available
number
required
pending
number
required
deletedAt
string<date-time>
merchantId
string